Contents

# On Error GoTo ... Resume Statement

karaa qabanoo-dogongoraa erga dogongorri uumameen booda dandeessisi, ykn sagantaa raawwii itti fufa

### Syntax:

    On [Local] Error {GoTo Labelname | GoTo 0 | Resume Next}

### Parameters:

Gara Labelname Deemi: Yoo dogongorri uumame, karaa qabannoo dogongoraa sarara kan "Labelname"jalqabu dandeessisi.

Yoo dogongorri uumameItt Aanutti Fufi:, sagantaan raawwii hima kan hima dogongorri uumame hordofu walin fufa

Gara 0 Deemi: waa'iila dogongora adeemsa ammaa dhaamsi

Local: Optional. The keyword is a reminder the statement is local to the routine which invokes it; when the routine exits, this error handling is canceled automatically.

### Example:

    Sub ExampleReset
    On Error GoTo ErrorHandler
        Dim iNumber As Integer
        Dim iCount As Integer
        Dim sLine As String
        Dim aFile As String
        aFile = "C:\Users\ThisUser\data.txt"
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Maxxansa #iNumber, "Kun Sarara barruuti"
        Close #iNumber
        iNumber = Freefile
        Open aFile For Input As iNumber
        For iCount = 1 To 5
            Line Input #iNumber, sLine
            If sLine <>"" Then
                Rem
            End If
        Next iCount
        Close #iNumber
        Exit Sub
    ErrorHandler:
        Reset
        MsgBox "All files will be closed",  0,  "Error"
    End Sub

Matadureewwan Walfakkatan

Error-Handling Functions

Open Statement

Please support us!